package com.rjconsultores.ventaboletos.vo.segurida;

public enum PerfilJerarquia {

	NORMAL(0), ADMIN(1), JERARQUIA_2(2), JERARQUIA_3(3), JERARQUIA_4(4), ADMINISTRADORES("ADMINISTRADORES");

	private Integer valor;
	private String valorCaracter;

	private PerfilJerarquia(Integer valor) {
		this.valor = valor;
	}
	private PerfilJerarquia(String valorCaracter) {
		this.valorCaracter = valorCaracter;
	}

	public Integer getValor() {
		return valor;
	}
	public String getValorCaracter() {
		return valorCaracter;
	}
	

	public static PerfilJerarquia buscar(Integer valor) {

		if (valor == null)
			return NORMAL;

		for (PerfilJerarquia jerarquia : PerfilJerarquia.values()) {
			if (jerarquia.getValor().equals(valor)) {
				return jerarquia;
			}
		}
		return null;
	}
	public static PerfilJerarquia buscar(String valorCaracter) {

		if (valorCaracter == null)
			return NORMAL;

		for (PerfilJerarquia jerarquia : PerfilJerarquia.values()) {
			if (jerarquia.getValor().equals(valorCaracter)) {
				return jerarquia;
			}
		}
		return null;
	}
}
